package jp.co.y_net.amm.page;

import jp.co.y_net.amm.common.AppUtils;
import jp.co.y_net.amm.common.InfoRenderer;
import jp.co.y_net.amm.common.ResourceReader;
import jp.co.y_net.amm.dao.Inf;

import org.apache.commons.lang.StringUtils;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.ExternalLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.Model;
import org.apache.wicket.request.mapper.parameter.PageParameters;

public class InfoPage extends CommonFrameA {
    private static final long serialVersionUID = 1L;

    /*
     * 画面入力値
     */
    // なし
    
    /*
     * 画面の状態
     */
    // 初期表示のみ
    //private boolean complete = false;
    
    public InfoPage(PageParameters params) {
        
        
        /* トップへ戻る */
        add(new ExternalLink("lnkTop", ResourceReader.getStringQuick("url.back.top")));
        
        /* フィードバックメッセージ */
        add(new FeedbackPanel("feedback"));
        
        /* お知らせ情報の出力 */
        Model<String> infhtmlModel = new Model<String>();
        add(new Label("infohtml", infhtmlModel).setEscapeModelStrings(false));
        
        String paramInfid = params.get("infid").toString("");
        final Integer targetInfid;
        if(StringUtils.isEmpty(paramInfid)) {
            /* パラメータが指定されていなければ、ログインユーザの情報を対象とする */
            error("パラメータ usrid がありません。");
            return; // ----------中断
        }
        targetInfid =  AppUtils.toInteger(paramInfid);
        Inf targetInf = infDao.getByInfid(targetInfid);
        
        infhtmlModel.setObject(InfoRenderer.execute(targetInf)); // htmlをセット
        
        
    }
}
